error - "eUML2 Free Edition requires 'bundle org.apache.batik.dom.svg 1.6.0' "

"eUML2" UML Diagramming Tool 

eUML2 Home Page:  http://www.soyatec.com

eUML2 is a commercial UML diagramming tool for Eclipse that supports round-trip engineering, i.e. creating diagrams from code and creating code from diagrams.

A free version of eUML2 is available but has operationalrestrictions.

Installation:

  1. The free edition of eUML2 cannot be installed over the web and must be installed manually.
  2. Go to the Soyatec download site and download the latest version of the free edition of eUML2 for your edition of Eclipse: http://www.soyatec.com/euml2/installation/
  3. Save the download ZIP file on your hard disk.
  4. In Eclipse, go to Help/Install New Software
  5. Click the "Add..." button
  6. In the "Add Repository" dialog that pops up, fill in a useful name, such as "eUML2".
  7. Then click the "Archive..." button and browse to the the ZIP file you downloaded.    Highlight the file and clikc "Open".
  8. Click "OK" to close the Add Repository dialog.
  9. Select all install components for the the Free eUML2 software.   Click Ok, accept any license agreements and continue with all default install parameters until the package is fully installed.
  10. If you encounter the following error:

    Cannot complete the install because one or more required items could not be found.
    Software currently installed: eUML2 Free Edition 3.7.1.20110624 (com.soyatec.euml2.free.feature.group 3.7.1.20110624)
    Missing requirement: Diagram tools Plugin 3.7.1.20110624 (com.soyatec.diagrams 3.7.1.20110624) requires 'bundle org.apache.batik.dom.svg 1.6.0' but it could not be found
    Cannot satisfy dependency:
    From: Core Plugin 3.7.1.20110624 (com.soyatec.core 3.7.1.20110624)
    To: bundle com.soyatec.diagrams 0.0.0
    Cannot satisfy dependency:
    From: eUML2 Free Edition 3.7.1.20110624 (com.soyatec.euml2.free.feature.group 3.7.1.20110624)
    To: com.soyatec.core [3.7.1.20110624]

    You will need to install the Graphical Modeling Framework before installing eUML2
     
    1. In Eclipse, go to Help/Install New Software
    2. In the "Work with" text field, type "http://download.eclipse.org/modeling/gmp/updates/releases/".   Click "Add...".
    3. The "Add Site" dialog will ask you for a name.   Type in something useful, such as "Graphical Modeling Framework".  Click "Ok".
    4. Select only the latest run-time that applies to your system.   As of 10/2011, for Eclipse Indigo, this would be the 1.5.0 runtime:

      GMF install
    5. Click "Next", accept any license agreements and continue taking all defaults until the package is fully installed.

阅读更多
个人分类: eclipse plugin
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭